运行gulp项目报错:AssertionError: Task function must be specified。

解决方案

今天像往常一样,编写文章,并使用gulp bulid压缩代码,但是一运行:gulp build 就出现了这个错误:AssertionError: Task function must be specified。

gulp项目需要全局安装gulp和项目内安装gulp,通过 gulp -v 查看全局gulp 和本地项目的gulp版本:

image.png

这俩显然,不一致。

下面,我们可以看到项目里记录的gulp的版本号:

image.png

可以卸载修改json文件里面的版本号:为gulp 3 版本。如 3.9.1

重新运行 npm install


gulp 3 和 gulp 4运行方式是不一样的,所以会出现错误。具体细节,可以看这里

gup3 VS gulp4 区别

Gulp 4最大的变化就是你不能像以前那样传递一个依赖任务列表。

Gulp3,如果有一个任务A,B和C的列表,你想在一个序列中运行(确保A在B开始之前完成,而B在C开始之前完成),代码如下:

 

在Gulp 4中,你不能再这样做了。你会得到以下错误:

 

不要用Gulp3的方式指定依赖任务,你需要使用gulp.seriesgulp.parallel,因为gulp任务现在只有两个参数。

gulp.series:按照顺序执行
gulp.paralle:可以并行计算

 

 

或者这样

 

相关任务必须在被调用之前发生。

参考:
https://github.com/gulpjs/gulp/blob/master/docs/API.md
https://www.fastless.com/gulp-4
https://www.jianshu.com/p/40b99bed3127

作者:cuteximi_1995
链接:https://www.jianshu.com/p/c30ff8592421
来源:简书
简书著作权归作者所有,任何形式的转载都请联系作者获得授权并注明出处。